<%= dynamic_map_for meetings_data_for_map(geocoded_meetings) do %>
  <template id="marker-popup">
    <div class="map-info__content">
      <h3>${title}</h3>
      <div id="bodyContent">
        <p class="meeting__card-description">{{html description}}</p>
        <p class="proposal__card__category ${category ? '' : 'hidden'}">${category}</p>
        <div class="map__date-address">
          <div class="card__datetime">
            <div class="card__datetime__date ${hasStartTime ? '' : 'hidden'}">
              ${startTimeDay} <span class="card__datetime__month">${startTimeMonth} ${startTimeYear}</span>
            </div>
            <div class="card__datetime__date ${!hasStartTime ? '' : 'hidden'}">
              <%= t("decidim.meetings.meetings_map.no_start_date") %>
            </div>
            <div class="card__datetime__time ${hasStartTime ? '' : 'hidden'}">${startTime}</div>
          </div>
          <div class="address card__extra">
            <div class="address__details">
              <span>
                <i class="fas fa-map-marked-alt"></i>
                {{html location}},
                ${address.split(",")[0]}, <b>${address.split(",")[1]}</b>
                ${locationHints ? "- " + locationHints : ""}
              </span>
            </div>
          </div>
        </div>
        <div class="map-info__button">
          <a href="${link}" class="button button--sc">
            <%= t("decidim.meetings.meetings_map.view_meeting") %>
          </a>
          <a onclick="document.querySelector('.leaflet-popup-close-button').click()" class="br-button secondary black-and-white-btn">
            <%= t(".close_meeting") %>
          </a>
        </div>
      </div>
    </div>
  </template>
<% end.html_safe %>
